Driver for Linux kernel 4.2

I just upgraded my linux to fedora 23 and it’s using the new kernel version 4.2, I’m not able to install the nvidia drivers for my GT-630. Anyone having the same issue, any new driver that I could test here

Update your kernel.

https://bugzilla.redhat.com/show_bug.cgi?id=1259231

I downloaded all the RPMs listed in this link but got the message below when trying to install them

error: Failed dependencies:
linux-firmware >= 20150904-56.git6ebf5d57 is needed by kernel-core-4.2.0-300.fc23.x86_64
linux-firmware >= 20150904-56.git6ebf5d57 is needed by kernel-debug-core-4.2.0-300.fc23.x86_64

openSUSE updated/patched their 4.2.0 (kernel-4.2.0-5.1.g82076fa) in http://download.opensuse.org/repositories/Kernel:/HEAD/standard and now nvidia is working again.
:-D

my kernel got updated to version 4.2.1-300 and GT-630 stopped to work.
can you help me with that, please?

You are out of luck as the stupid fedora xorg developers pushed an unstable xorg version after beta release.
Nvidia will need to update their driver to fix the issue.

it is fixed now in new stable kernel 4.2.2:
https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.2.2
http://rglinuxtech.com/?p=1576